{% extends 'shared/_base.html' %}
{% load static %}

{% load render_partial %}

{% block body %}

    {% render_partial 'pages:video-banner' %}

    {% if properties %}

        <div class="recently-properties section_padding">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <div class="section-title section-title--orange">
                            <h3>Our</h3>
                            <h2>Services</h2>
                        </div>
                    </div>
                    {% for property in properties %}
                        <div class="col-lg-4 col-md-6">
                            <div class="project">
                                <div class="project__header">
                                    <img src="{{ property.picture.url }}" alt="{{ property.picture_alternate_text }}"/>
                                    <a href="#" class="badge badge--sale badge--top-right"
                                    >{{ property.get_status_display }}</a
                                    >
                                    <a href="#" class="badge badge--feature badge--top-left"
                                    >{{ property.get_kind_display }}</a
                                    >
                                    <a href="#" class="badge badge--family badge--bottom-left">
                                        {{ property.category }}
                                    </a>
                                    <div class="project__overlay">
                                        <a href="#">
                                            <h4>
                                                {{ property.title }}
                                                <br/>
                                                <span>جزئیات بیشتر</span>
                                            </h4>
                                        </a>
                                    </div>
                                </div>
                                <div class="project__content">
                                    <h3 class="project__content__title">
                                        <a href="#">{{ property.title }}</a>
                                    </h3>

                                    <ul class="project__content__details">
                                        {% for feature in property.features.all %}
                                            <li>
                                                <i class="{{ feature.icon.code }}" aria-hidden="true"></i>
                                                <span>{{ feature.title }}</span>
                                            </li>
                                        {% endfor %}
                                    </ul>

                                    <div class="project__content__properties">
                                        <h3>
                                            <a href="#">{{ property.price }}</a>
                                        </h3>
                                    </div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}

                    <div class="col-12 mb-4"></div>
                    <div class="col-12 text-center">
                        <a href="#" class="link-primary"
                        >View All <i class="fas fa-arrow-circle-right"></i
                        ></a>
                    </div>
                </div>
            </div>
        </div>

    {% endif %}

    <div class="welcome-to-find-houses section_padding">
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <h2 class="mb-2">خوش آمدید به <span>{{ site.site_name }}</span></h2>
                    <h4 class="mb-4">{{ site.welcome_title }}</h4>
                    <p class="mb-5">
                        <span>{{ site.site_name }}</span>
                        {{ site.welcome_summary }}
                    </p>
                    <ul>
                        {% for service in services %}
                            <li>
                                <img src="{{ service.picture.url }}" alt="{{ service.picture_alternate_text }}"/>
                                <div class="content">
                                    <h6>{{ service.title }}</h6>
                                    <p>
                                        {{ service.description|truncatechars:50 }}
                                    </p>
                                </div>
                            </li>
                        {% endfor %}
                    </ul>
                </div>
                <div class="col-lg-6">
                    <img
                            class="img-fluid"
                            src="{{ site.picture.url }}"
                            alt=""
                    />
                </div>
            </div>
        </div>
    </div>

    <div class="popular-places section_padding">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="section-title section-title--orange">
                        <h3>Most</h3>
                        <h2>Popular places</h2>
                    </div>
                </div>

                {% if popularـproperties %}
                    {% for popular in popularـproperties %}
                        {% if forloop.first or forloop.last %}
                            <div class="col-lg-4 col-md-6">
                                <a class="hover-image" href="#">
                                    <div class="hover-image__content">
                                        {% if popular.is_featured %}
                                            <span class="featured">Featured</span>
                                        {% endif %}
                                        <img src="{{ popular.picture.url }}"
                                             alt="{{ popular.picture_alternate_text }}"/>
                                        <h4>
                                            {{ popular.title }}
                                            <br/>
                                            <span>{{ popular.status }}</span>
                                        </h4>
                                    </div>
                                </a>
                            </div>
                        {% else %}
                            <div class="col-lg-8 col-md-6">
                                <a class="hover-image" href="#">
                                    <div class="hover-image__content">
                                        {% if popular.is_featured %}
                                            <span class="featured">Featured</span>
                                        {% endif %}
                                        <img src="{{ popular.picture.url }}"
                                             alt="{{ popular.picture_alternate_text }}"/>
                                        <h4>
                                            {{ popular.title }}
                                            <br/>
                                            <span>{{ popular.status }}</span>
                                        </h4>
                                    </div>
                                </a>
                            </div>
                        {% endif %}
                    {% endfor %}
                {% endif %}

            </div>
        </div>
    </div>

{% endblock %}